Resource Center/Hardware/Host Operations
GETHost OperationsSince 4.7.0SynchronousAuth Required
GetCandidateNetworkInterfaces
GetCandidateNetworkInterfaces
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Query Parameters
Request Inputs
Query Parameters
hostUuidsListRequiredThe host UUIDs.
limitIntegerOptional.
startIntegerOptional.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
GET/zstack/v1/cluster/hosts-network-interfaces
/zstack/v1/cluster/hosts-network-interfaces
Request Example
curl -X GET 'http://{host}/zstack/v1/cluster/hosts-network-interfaces?hostUuids=<hostUuids>&limit=1&start=1&systemTags=<systemTags>&userTags=<userTags>&slaveOnly=True' -H 'Authorization: OAuth {sessionUuid}'
Response Example
200{ "slaveNames": [ "eth0", "eth1" ] }Change History
This API has no change history records yet.
